Package org.apache.sling.testing.mock.osgi.context

# Interface ContextCallback<T extends OsgiContextImpl>

Type Parameters:
  `T` - Context

@ConsumerType public interface ContextCallback<T extends OsgiContextImpl>
Callback interface for application-specific setup and teardown operations to customize the mock context.

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(T context)`
Execute callback action

## Method Details

### execute

void execute(@NotNull T context) throws Exception
Execute callback action

Parameters:
  `context` - OSGi context
Throws:
  `Exception` - exception